
Redmine - Defect #8429

Some attachments files are ignored while issue submitting

2011-05-24 13:11 - Piotr Kedra

Status: Closed Start date: 2011-05-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.3

Description

While submitting a new issue by email /with rdm-mailhandler.rb script/, some files are ignored /not attached to issue/.

It's happend with following file names:

- "Jakie zasady powinna przyjąć gmina, aby nie naruszać zasad konkurencji 12 grudnia 07 (nr 241).doc"

- "Kto odpowiada za wypadek, który miał miejsce na terenie szkoły 6 maja 09 (nr 87).doc"

The files content is not important, only files name is significant.

This problem not occurs, while I attached the same files for issue, but with "New issue" form 

http://www.redmine.org/projects/redmine/issues/new

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Environment               production

Database adapter          mysql

Database schema version   20101114115359

History

#1 - 2011-05-24 13:59 - Etienne Massip

- Category set to Attachments

#2 - 2011-06-01 19:03 - Jean-Philippe Lang

Could you attach a raw multipart email that includes such an attachment?

#3 - 2011-06-02 11:12 - Piotr Kedra

It's hard to explain, but now everything works ok, although I have not changed anything.

It seems that the problem was with my local version of Redmine or my email server

#4 - 2011-06-03 09:32 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Files

Jakie_zasady_powinna_przyjąć_gmina__aby_nie_naruszać_zasad_konkurencji_12_grudnia_07__nr_241_.doc3 Bytes 2011-05-24 Piotr Kedra

Kto_odpowiada_za_wypadek__który_miał_miejsce_na_terenie_szkoły_6_maja_09__nr_87_.doc3 Bytes 2011-05-24 Piotr Kedra
